summaryrefslogtreecommitdiff
path: root/scripts/pon
diff options
context:
space:
mode:
authorRussell Coker <russell@coker.com.au>2002-11-24 23:30:44 +0000
committerRussell Coker <russell@coker.com.au>2002-11-24 23:30:44 +0000
commitf234b25aa73603e3c840b8071c819e6202d5fd14 (patch)
tree95d061354f2575e6fe233a8b591566af0e5025f5 /scripts/pon
parent1b032c687deba56230f89ff5217e0a0ea445698f (diff)
downloadppp-f234b25aa73603e3c840b8071c819e6202d5fd14.tar.gz
Added an alternate pair of scripts for starting and stopping ppp connections.
Diffstat (limited to 'scripts/pon')
-rw-r--r--scripts/pon38
1 files changed, 38 insertions, 0 deletions
diff --git a/scripts/pon b/scripts/pon
new file mode 100644
index 0000000..6117fa8
--- /dev/null
+++ b/scripts/pon
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+case "$1" in
+ -*) echo "
+Usage: pon [provider] [arguments]
+
+If pon is invoked without arguments, /etc/ppp/ppp_on_boot file will be
+run, presuming it exists and is executable. Otherwise, a PPP connection
+will be started using settings from /etc/ppp/peers/provider.
+If you specify one argument, a PPP connection will be started using
+settings from the appropriate file in the /etc/ppp/peers/ directory, and
+any additional arguments supplied will be passed as extra arguments to
+pppd.
+"
+ exit 0
+ ;;
+esac
+
+if [ -z "$1" -a -x /etc/ppp/ppp_on_boot ]; then
+ exec /etc/ppp/ppp_on_boot
+fi
+
+if [ -z "$1" -a ! -f /etc/ppp/peers/provider ]; then
+ echo "
+Please configure /etc/ppp/peers/provider or use a command line argument to
+use another file in /etc/ppp/peers/ directory.
+"
+ exit 1
+fi
+
+if [ "$1" -a ! -f "/etc/ppp/peers/$1" ]; then
+ echo "
+The file /etc/ppp/peers/$1 does not exist.
+"
+ exit 1
+fi
+
+exec /usr/sbin/pppd call ${@:-provider}